Dead Letter Queues
Get a message from the DLQ
Get a message from the DLQ
GET
Get a message from DLQ.
Request
string
The dlq id of the message you want to retrieve. You will see this id when
listing all messages in the dlq with the /v2/dlq endpoint,
as well as in the content of the failure callback
Response
If the message is not found in the DLQ, (either is has been removed by you, or automatically), the endpoint returns a 404 status code.string
required
A unique identifier for this message.
string
The topic name if this message was sent to a topic.
string
The endpointName of the message if the endpoint is given a name withing the topic.
string
required
The URL to which the message should be delivered.
string
The HTTP method to use for the message.
Record<string, string[]>
The HTTP headers sent to your API.
string
The body of the message if it is composed of utf8 chars only, empty otherwise.
string
The base64 encoded body if the body contains a non-utf8 char only, empty otherwise.
int
The number of retries that should be attempted in case of delivery failure.
int
The unix timestamp in milliseconds before which the message should not be delivered.
int
required
The unix timestamp in milliseconds when the message was created.
string
The url where we send a callback each time the message is attempted to be delivered.
string
The url where we send a callback to after the message is failed
string
The scheduleId of the message if the message is triggered by a schedule
string
required
IP address of the publisher of this message.
string
required
The unique id within the DLQ. Use this to remove the message from the DLQ
DELETE /v2/dlq/{dlqId}
int
The http status code of the last failed deliver attempt.
string
The response header of the last failed deliver attempt.
string
The response body of the last failed deliver attempt.
string
The response body of the last failed deliver attempt if it is composed of utf8 chars only, empty otherwise.
string
The base64 encoded response body of the last failed deliver attempt if the response body contains a non-utf8 char only, empty otherwise.